# $Revision: 1.40 $, $Date: 2009/04/12 06:28:57 $
Summary:	GSM audio encoding/decoding library
Summary(pl.UTF-8):	Biblioteka kodująca/dekodująca dźwięk GSM
Summary(pt_BR.UTF-8):	Biblioteca de codificação/decodificação de áudio GSM
Summary(ru.UTF-8):	Библиотека аудио кодирования/декодирования GSM
Summary(uk.UTF-8):	Бібліотека аудіо кодування/декодування GSM
Name:		libgsm
%define	sver	13
Version:	1.0.%{sver}
Release:	1
License:	Free (Copyright (C) Technische Universitaet Berlin)
Group:		Libraries
Source0:	http://kbs.cs.tu-berlin.de/~jutta/gsm/gsm-%{version}.tar.gz
# Source0-md5:	c1ba392ce61dc4aff1c29ea4e92f6df4
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-c++.patch
URL:		http://kbs.cs.tu-berlin.de/~jutta/toast.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a free and public implementation of GSM audio encoding and
decoding. The gsm library is used in many free software projects
including 'rplay', but has never been packaged as a stand-alone shared
library. GSM encoding has specific uses in transmission of packetized
audio over the Internet.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s). The quality
of the algorithm is good enough for reliable speaker recognition; even
music often survives transcoding in recognizable form (given the
bandwidth limitations of 8 kHz sampling rate).

%description -l pl.UTF-8
To jest darmowa implementacja kodowania i dekodowania dźwięku GSM.
Biblioteka jest używana w wielu projektach, m.in. rplay. Kodowanie GSM
ma specyficzne zastosowani przy transmisji pakietowanego dźwięku przez
Internet.

GSM 06.10 dokonuje kompresji ramek 160 13-bitowych sampli (o
ośmiokilohercowej częstotliwości próbkowania, czyli częstotliwości
ramki 50 Hz) do 260 bitów; aby zachować kompatybilność z typowymi
aplikacjami uniksowymi, nasza implementacja zamienia ramki 160
16-bitowych linearnych sampli w 33-bajtowe ramki (1650 bajtów/s).
Algorytm jest na tyle dobry, że można go wykorzystać do przekazywania
mowy. Nawet muzyka często pomyślnie przechodzi proces kodowania
(wziąwszy pod uwagę ograniczenia przepustowości osmiokilohercowej
częstotliwości próbkowania).

%description -l pt_BR.UTF-8
Esta é uma implementação pública e livre da codificação GSM. A
biblioteca gsm é usada por muitos programas de livre distribuição,
entre eles o rplay.

%description -l ru.UTF-8
Это свободная реализация аудио кодирования/декодирования GSM.
Кодирование GSM используется при передаче аудио через Интернет.

%description -l uk.UTF-8
Це вільна реалізація аудіо кодування/декодування GSM. Кодування GSM
використовується при передачі аудіо через Інтернет.

%package devel
Summary:	Header files and development documentation for libgsm
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libgsm
Summary(pt_BR.UTF-8):	Biblioteca de codificação/decodificação de áudio GSM - arquivos para desenvolvimento
Summary(ru.UTF-8):	Файлы для разработки с использованием библиотеки libgsm
Summary(uk.UTF-8):	Файли для розробки з використанням бібліотеки libgsm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for libgsm.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libgsm.

%description devel -l pt_BR.UTF-8
Biblioteca de codificação/decodificação de áudio GSM - arquivos para
desenvolvimento

%description devel -l ru.UTF-8
Этот пакет содержит файлы, необходимые для разработки программ с
использованием библиотеки libgsm.

%description devel -l uk.UTF-8
Цей пакет містить файли, необхідні для розробки програм з
використанням бібліотеки libgsm.

%package static
Summary:	GSM Audio Encoding/decoding static library
Summary(pl.UTF-8):	Statyczna biblioteka GSM Audio
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com a libgsm
Summary(ru.UTF-8):	Статические библиотеки для разработки с использованием libgsm
Summary(uk.UTF-8):	Статичні бібліотеки для розробки з використанням libgsm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GSM Audio Encoding/decoding static library.

%description static -l pl.UTF-8
Statyczna biblioteka GSM Audio.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libgsm

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки для разработки программ.

%description static -l uk.UTF-8
Цей пакет містить статичні бібіліотеки для розробки програм.

%prep
%setup -q -n gsm-1.0-pl%{sver}
%patch0 -p1
%patch1 -p1
rm -f bin/* lib/* shared/* src/*.o test/*.o

%build
%{__make} \
	CC="%{__cc} -ansi -pedantic" \
	OPTFLAGS="%{rpmcflags}" WAV49="-DWAV49"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,3},%{_includedir},%{_libdir}}

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	GSM_INSTALL_LIB=$RPM_BUILD_ROOT%{_libdir}

echo .so toast.1 >$RPM_BUILD_ROOT%{_mandir}/man1/tcat.1
echo .so toast.1 >$RPM_BUILD_ROOT%{_mandir}/man1/untoast.1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT ChangeLog MACHINES README
%attr(755,root,root) %{_bindir}/tcat
%attr(755,root,root) %{_bindir}/toast
%attr(755,root,root) %{_bindir}/untoast
%attr(755,root,root) %{_libdir}/libgsm.so.*.*
%ghost %attr(755,root,root) %{_libdir}/libgsm.so.?
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgsm.so
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgsm.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgsm.spec,v $
Revision 1.40  2009/04/12 06:28:57  arekm
- up to 1.0.13

Revision 1.39  2008/01/21 21:41:08  arvenil
- added ghost
- more verbose files
- release 2

Revision 1.38  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.36  2006/11/09 20:45:36  glen
- strict internal deps

Revision 1.35  2006/06/07 23:00:26  qboosh
- updated to 1.0.12

Revision 1.34  2006/04/28 07:03:11  arekm
- rel 2; now usable in c++ stuff

Revision 1.33  2006/04/28 06:28:29  arekm
- up to 1.0.11

Revision 1.32  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.31  2004/01/02 17:41:21  jajcus
- Release: 10 (STBR after AMD64 fixes)

Revision 1.30  2003/12/30 13:32:27  jajcus
- AMD64 fix: pass %{_libdir} to make install

Revision 1.29  2003/11/29 12:31:16  undefine
- release 9 to rebuild with ac

Revision 1.28  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 05:49:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/18 17:21:45  qboosh
- changed makefile patch: don't always strip, link using $(CC) not ld
- added URL
- release 8

Revision 1.25  2003/01/18 22:20:56  kloczek
- relase 7: merge translations from KSI and Conectiva.

Revision 1.24  2002/12/31 11:16:43  gotar
- cut off Vendor

Revision 1.23  2002/11/27 21:10:41  juandon
- new %doc

Revision 1.22  2002/04/05 15:17:58  roman
- s/Free/Copyright Technische Universitaet Berlin/Free (Copyright (C)
  Technische Universitaet Berlin in License

Revision 1.21  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:13:39  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2002/01/13 14:09:35  kloczek
- release 6.

Revision 1.18  2001/12/28 19:23:09  qboosh
- merged part of description from obsolete gsm.spec

Revision 1.17  2001/12/05 16:23:48  qboosh
- pl descriptions; release 5

Revision 1.16  2001/08/13 00:46:05  kloczek
- release 4.

Revision 1.15  2001/04/30 16:05:20  kloczek
- added using %{rpmcflags} macro.

Revision 1.14  2001/01/25 20:03:24  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/23 00:48:45  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.12  2000/12/19 11:10:27  mis
- fixed makefile patch and typo
- release 3

Revision 1.11  2000/12/14 22:16:39  kloczek
- added useing new rpm automation.

Revision 1.10  2000/12/14 10:21:01  mis
- turn on WAV support
- release 2

Revision 1.9  2000/08/29 11:55:44  wiget
- join all makefiles patches

Revision 1.8  2000/08/25 15:33:18  agaran
- (pl) To nie jest poprawne...ale nie wiem jak to zrobic lepiej

Revision 1.7  2000/08/24 00:38:20  kloczek
- spec adapterized,
- removed INSTALL from %doc,
- fiew cosmetics.

Revision 1.6  2000/08/24 00:00:28  waszi
- libgsm.spec

Revision 1.5  2000/08/23 21:37:55  waszi
- partially rewrited

Revision 1.4  2000/08/07 23:00:14  baggins
- fixed rpm Group

Revision 1.3  2000/06/09 07:23:22  kloczek
- added using %{__make} macro.

Revision 1.2  2000/06/07 02:46:39  kloczek
- spec adapterized.
